﻿@model Tuple<UserView, List<UserBranchView>>
@{
    ViewBag.Title = "User Branches";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1 class="page-header">@ViewBag.Tite</h1>

<script type="text/javascript">
    var countBranchesAvailable = '@ViewBag.countBranchesAvailable';
</script>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.USR</h3>
    </div>
    <div class="panel-body">
        <label class="col-md-4 control-label" id="REQ" style="display:none">@Users.REQ</label>
        <div class="form-group">
            <label class="col-md-4 control-label" id="lblName">@Users.Name: @Model.Item1.Name</label>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.Configuration</h3>
    </div>
    <div class="panel-body">
        <div class="form-horizontal row-border">
            <div class="form-group">
                <label class="col-md-4 control-label">@Users.Companies</label>
                <div class="col-md-8">
                    <div id="LoadingCompanies" style="display:none">
                        <img src="~/Content/img/fountain.GIF" />
                    </div>
                    @Html.DropDownListFor(model => model.Item1.IdSelector, new SelectList(
                         ViewBag.CompAv,
                        "IdCompany",
                        "CompanyDB",
                         Model.Item1.IdSelector), new { @Id = "CompAV", @class = "form-control" })
                </div>
            </div>

            <div class="clear2"> </div>
            <div class="divider"> </div>

            <div class="form-group">
                <label class="col-md-4 control-label">Branches</label>
                <div class="col-md-8">
                    <div id="LoadingCompanies" style="display:none">
                        <img src="~/Content/img/fountain.GIF" />
                    </div>
                    @Html.DropDownListFor(model => model.Item1.IdSelector, new SelectList(
                         ViewBag.Branches,
                        "BPLId",
                        "BPLName",
                         Model.Item1.IdSelector), new { @Id = "cboBranches", @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <button id="AddtoList" type="button" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-plus"></span> Add to List</button>
                </div>
            </div>
        </div>
    </div>
</div>
@Html.HiddenFor(c => c.Item1.IdUser, new { @Id = "IdUser", @Name = "IdUser" })


<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.Added </h3>
    </div>
    <div class="panel-body" id="tableContainer">
        @Html.Partial("_BranchesTable", Model.Item2)
    </div>
</div>

<div class="but_blok_footer">
    <div class="col-md-12">
        @Html.ActionLink(@Users.Cancel, "Index", "Users", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
    </div>
</div>

@Scripts.Render("~/bundles/Branches")

<input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />





